Index: /code/trunk/visual_studio/vc8/audio.vcproj
===================================================================
--- /code/trunk/visual_studio/vc8/audio.vcproj	(revision 1838)
+++ /code/trunk/visual_studio/vc8/audio.vcproj	(revision 1839)
@@ -5,5 +5,5 @@
 	Name="audio"
 	ProjectGUID="{4733BD1A-E04C-458D-8BFB-5010250EA497}"
-	RootNamespace="FICN"
+	RootNamespace="orxonox"
 	Keyword="Win32Proj"
 	>
@@ -19,5 +19,5 @@
 			Name="Debug|Win32"
 			ConfigurationType="2"
-			InheritedPropertySheets="$(SolutionDir)base_debug.vsprops;..\audio.vsprops"
+			InheritedPropertySheets=".\debug.vsprops;.\audio.vsprops"
 			CharacterSet="1"
 			>
@@ -80,5 +80,5 @@
 			Name="Release|Win32"
 			ConfigurationType="2"
-			InheritedPropertySheets="$(SolutionDir)base_release.vsprops;..\audio.vsprops"
+			InheritedPropertySheets=".\release.vsprops;.\audio.vsprops"
 			CharacterSet="1"
 			WholeProgramOptimization="0"
Index: /code/trunk/visual_studio/vc8/audio.vsprops
===================================================================
--- /code/trunk/visual_studio/vc8/audio.vsprops	(revision 1838)
+++ /code/trunk/visual_studio/vc8/audio.vsprops	(revision 1839)
@@ -3,6 +3,6 @@
 	ProjectType="Visual C++"
 	Version="8.00"
-	Name="audio_properties"
-	InheritedPropertySheets=".\directory_properties.vsprops"
+	Name="audio"
+	InheritedPropertySheets=".\directories.vsprops"
 	>
 	<Tool
Index: /code/trunk/visual_studio/vc8/base.vsprops
===================================================================
--- /code/trunk/visual_studio/vc8/base.vsprops	(revision 1839)
+++ /code/trunk/visual_studio/vc8/base.vsprops	(revision 1839)
@@ -0,0 +1,41 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioPropertySheet
+	ProjectType="Visual C++"
+	Version="8.00"
+	Name="base"
+	InheritedPropertySheets=".\directories.vsprops"
+	>
+	<Tool
+		Name="VCCLCompilerTool"
+		AdditionalIncludeDirectories="&quot;$(RootDir)&quot;;&quot;$(RootDir)src&quot;;&quot;$(RootDir)src\orxonox&quot;;&quot;$(RootDir)src\ceguilua-0.6.1&quot;;&quot;$(LibDir)ogre-1.4.9\include&quot;;&quot;$(LibDir)boost-1.35.0\include&quot;;&quot;$(LibDir)cegui-0.6.1\include&quot;;&quot;$(LibDir)enet-1.2\include&quot;;&quot;$(LibDir)libogg-1.1.3\include&quot;;&quot;$(LibDir)libvorbis-1.2.0\include&quot;;&quot;$(LibDir)openal-1.1\include&quot;;&quot;$(LibDir)freealut-1.1.0\include&quot;;&quot;$(LibDir)tcl-8.5.2\include&quot;;&quot;$(LibDir)zlib-1.2.3\include&quot;"
+		PreprocessorDefinitions="WIN32;__WIN32__;_WIN32;_WINDOWS;BOOST_ALL_DYN_LINK;OIS_DYNAMIC_LIB;ZLIB_WINAPI;LUA_BUILD_AS_DLL"
+		WarningLevel="3"
+		DisableSpecificWarnings="4522;4251;4800"
+	/>
+	<Tool
+		Name="VCLibrarianTool"
+		OutputFile="$(LibOutDir)$(ProjectName)$(CS).lib"
+		AdditionalLibraryDirectories="$(RootDir)dependencies\lib"
+		IgnoreAllDefaultLibraries="true"
+	/>
+	<Tool
+		Name="VCLinkerTool"
+		OutputFile="$(OutDir)$(ProjectName)$(CS).dll"
+		AdditionalLibraryDirectories="&quot;$(LibDir)boost-1.35.0\lib&quot;;&quot;$(LibDir)cegui-0.6.1\lib&quot;;&quot;$(LibDir)enet-1.2\lib&quot;;&quot;$(LibDir)freealut-1.1.0\lib&quot;;&quot;$(LibDir)libogg-1.1.3\lib&quot;;&quot;$(LibDir)libvorbis-1.2.0\lib&quot;;&quot;$(LibDir)ogre-1.4.9\lib&quot;;&quot;$(LibDir)openal-1.1\lib&quot;;&quot;$(LibDir)tcl-8.5.2\lib&quot;;&quot;$(LibDir)zlib-1.2.3\lib&quot;"
+		SubSystem="1"
+		ImportLibrary="$(LibOutDir)$(TargetName).lib"
+		TargetMachine="1"
+	/>
+	<UserMacro
+		Name="LibOutDir"
+		Value="$(RootDir)lib\"
+	/>
+	<UserMacro
+		Name="LibDir"
+		Value="$(RootDir)..\libs\"
+	/>
+	<UserMacro
+		Name="CS"
+		Value=""
+	/>
+</VisualStudioPropertySheet>
Index: /code/trunk/visual_studio/vc8/base_debug.vsprops
===================================================================
--- /code/trunk/visual_studio/vc8/base_debug.vsprops	(revision 1839)
+++ /code/trunk/visual_studio/vc8/base_debug.vsprops	(revision 1839)
@@ -0,0 +1,30 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioPropertySheet
+	ProjectType="Visual C++"
+	Version="8.00"
+	Name="debug"
+	InheritedPropertySheets="base.vsprops"
+	>
+	<Tool
+		Name="VCCLCompilerTool"
+		Optimization="0"
+		PreprocessorDefinitions="_DEBUG"
+		MinimalRebuild="true"
+		BasicRuntimeChecks="3"
+		RuntimeLibrary="3"
+		DebugInformationFormat="3"
+	/>
+	<Tool
+		Name="VCLinkerTool"
+		LinkIncremental="2"
+		GenerateDebugInformation="true"
+	/>
+	<UserMacro
+		Name="CS"
+		Value="_d"
+	/>
+	<UserMacro
+		Name="CSS"
+		Value="_d"
+	/>
+</VisualStudioPropertySheet>
Index: de/trunk/visual_studio/vc8/base_properties.vsprops
===================================================================
--- /code/trunk/visual_studio/vc8/base_properties.vsprops	(revision 1838)
+++ 	(revision )
@@ -1,41 +1,0 @@
-<?xml version="1.0" encoding="Windows-1252"?>
-<VisualStudioPropertySheet
-	ProjectType="Visual C++"
-	Version="8.00"
-	Name="base_properties"
-	InheritedPropertySheets=".\directory_properties.vsprops"
-	>
-	<Tool
-		Name="VCCLCompilerTool"
-		AdditionalIncludeDirectories="&quot;$(RootDir)&quot;;&quot;$(RootDir)src&quot;;&quot;$(RootDir)src\orxonox&quot;;&quot;$(RootDir)src\ceguilua-0.6.1&quot;;&quot;$(LibDir)ogre-1.4.9\include&quot;;&quot;$(LibDir)boost-1.35.0\include&quot;;&quot;$(LibDir)cegui-0.6.1\include&quot;;&quot;$(LibDir)enet-1.2\include&quot;;&quot;$(LibDir)libogg-1.1.3\include&quot;;&quot;$(LibDir)libvorbis-1.2.0\include&quot;;&quot;$(LibDir)openal-1.1\include&quot;;&quot;$(LibDir)freealut-1.1.0\include&quot;;&quot;$(LibDir)tcl-8.5.2\include&quot;;&quot;$(LibDir)zlib-1.2.3\include&quot;"
-		PreprocessorDefinitions="WIN32;__WIN32__;_WIN32;_WINDOWS;BOOST_ALL_DYN_LINK;OIS_DYNAMIC_LIB;ZLIB_WINAPI;LUA_BUILD_AS_DLL"
-		WarningLevel="3"
-		DisableSpecificWarnings="4522;4251;4800"
-	/>
-	<Tool
-		Name="VCLibrarianTool"
-		OutputFile="$(LibOutDir)$(ProjectName)$(CS).lib"
-		AdditionalLibraryDirectories="$(RootDir)dependencies\lib"
-		IgnoreAllDefaultLibraries="true"
-	/>
-	<Tool
-		Name="VCLinkerTool"
-		OutputFile="$(OutDir)$(ProjectName)$(CS).dll"
-		AdditionalLibraryDirectories="&quot;$(LibDir)boost-1.35.0\lib&quot;;&quot;$(LibDir)cegui-0.6.1\lib&quot;;&quot;$(LibDir)enet-1.2\lib&quot;;&quot;$(LibDir)freealut-1.1.0\lib&quot;;&quot;$(LibDir)libogg-1.1.3\lib&quot;;&quot;$(LibDir)libvorbis-1.2.0\lib&quot;;&quot;$(LibDir)ogre-1.4.9\lib&quot;;&quot;$(LibDir)openal-1.1\lib&quot;;&quot;$(LibDir)tcl-8.5.2\lib&quot;;&quot;$(LibDir)zlib-1.2.3\lib&quot;"
-		SubSystem="1"
-		ImportLibrary="$(LibOutDir)$(TargetName).lib"
-		TargetMachine="1"
-	/>
-	<UserMacro
-		Name="LibOutDir"
-		Value="$(RootDir)lib\"
-	/>
-	<UserMacro
-		Name="LibDir"
-		Value="$(RootDir)..\libs\"
-	/>
-	<UserMacro
-		Name="CS"
-		Value=""
-	/>
-</VisualStudioPropertySheet>
Index: de/trunk/visual_studio/vc8/base_properties_debug.vsprops
===================================================================
--- /code/trunk/visual_studio/vc8/base_properties_debug.vsprops	(revision 1838)
+++ 	(revision )
@@ -1,30 +1,0 @@
-<?xml version="1.0" encoding="Windows-1252"?>
-<VisualStudioPropertySheet
-	ProjectType="Visual C++"
-	Version="8.00"
-	Name="base_properties_debug"
-	InheritedPropertySheets="$(SolutionDir)base_properties.vsprops"
-	>
-	<Tool
-		Name="VCCLCompilerTool"
-		Optimization="0"
-		PreprocessorDefinitions="_DEBUG"
-		MinimalRebuild="true"
-		BasicRuntimeChecks="3"
-		RuntimeLibrary="3"
-		DebugInformationFormat="3"
-	/>
-	<Tool
-		Name="VCLinkerTool"
-		LinkIncremental="2"
-		GenerateDebugInformation="true"
-	/>
-	<UserMacro
-		Name="CS"
-		Value="_d"
-	/>
-	<UserMacro
-		Name="CSS"
-		Value="_d"
-	/>
-</VisualStudioPropertySheet>
Index: de/trunk/visual_studio/vc8/base_properties_release.vsprops
===================================================================
--- /code/trunk/visual_studio/vc8/base_properties_release.vsprops	(revision 1838)
+++ 	(revision )
@@ -1,30 +1,0 @@
-<?xml version="1.0" encoding="Windows-1252"?>
-<VisualStudioPropertySheet
-	ProjectType="Visual C++"
-	Version="8.00"
-	Name="base_properties_release"
-	InheritedPropertySheets=".\base_properties.vsprops"
-	>
-	<Tool
-		Name="VCCLCompilerTool"
-		Optimization="2"
-		PreprocessorDefinitions="NDEBUG"
-		RuntimeLibrary="2"
-		DebugInformationFormat="3"
-	/>
-	<Tool
-		Name="VCLinkerTool"
-		LinkIncremental="1"
-		GenerateDebugInformation="true"
-		OptimizeReferences="2"
-		EnableCOMDATFolding="2"
-	/>
-	<UserMacro
-		Name="CS"
-		Value=""
-	/>
-	<UserMacro
-		Name="CSS"
-		Value=""
-	/>
-</VisualStudioPropertySheet>
Index: /code/trunk/visual_studio/vc8/base_release.vsprops
===================================================================
--- /code/trunk/visual_studio/vc8/base_release.vsprops	(revision 1839)
+++ /code/trunk/visual_studio/vc8/base_release.vsprops	(revision 1839)
@@ -0,0 +1,30 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioPropertySheet
+	ProjectType="Visual C++"
+	Version="8.00"
+	Name="release"
+	InheritedPropertySheets=".\base.vsprops"
+	>
+	<Tool
+		Name="VCCLCompilerTool"
+		Optimization="2"
+		PreprocessorDefinitions="NDEBUG"
+		RuntimeLibrary="2"
+		DebugInformationFormat="3"
+	/>
+	<Tool
+		Name="VCLinkerTool"
+		LinkIncremental="1"
+		GenerateDebugInformation="true"
+		OptimizeReferences="2"
+		EnableCOMDATFolding="2"
+	/>
+	<UserMacro
+		Name="CS"
+		Value=""
+	/>
+	<UserMacro
+		Name="CSS"
+		Value=""
+	/>
+</VisualStudioPropertySheet>
Index: /code/trunk/visual_studio/vc8/ceguilua.vcproj
===================================================================
--- /code/trunk/visual_studio/vc8/ceguilua.vcproj	(revision 1838)
+++ /code/trunk/visual_studio/vc8/ceguilua.vcproj	(revision 1839)
@@ -5,5 +5,5 @@
 	Name="ceguilua"
 	ProjectGUID="{4BBBB49F-3203-4BB4-AAE3-48BCA96FCB4F}"
-	RootNamespace="FICN"
+	RootNamespace="orxonox"
 	Keyword="Win32Proj"
 	>
@@ -19,5 +19,5 @@
 			Name="Debug|Win32"
 			ConfigurationType="2"
-			InheritedPropertySheets="$(SolutionDir)base_debug.vsprops;..\ceguilua.vsprops"
+			InheritedPropertySheets=".\debug.vsprops;.\ceguilua.vsprops"
 			CharacterSet="1"
 			>
@@ -80,5 +80,5 @@
 			Name="Release|Win32"
 			ConfigurationType="2"
-			InheritedPropertySheets="$(SolutionDir)base_release.vsprops;..\ceguilua.vsprops"
+			InheritedPropertySheets=".\release.vsprops;.\ceguilua.vsprops"
 			CharacterSet="1"
 			WholeProgramOptimization="0"
Index: /code/trunk/visual_studio/vc8/ceguilua.vsprops
===================================================================
--- /code/trunk/visual_studio/vc8/ceguilua.vsprops	(revision 1838)
+++ /code/trunk/visual_studio/vc8/ceguilua.vsprops	(revision 1839)
@@ -3,6 +3,6 @@
 	ProjectType="Visual C++"
 	Version="8.00"
-	Name="ceguilua_properties"
-	InheritedPropertySheets=".\directory_properties.vsprops"
+	Name="ceguilua"
+	InheritedPropertySheets=".\directories.vsprops"
 	>
 	<Tool
Index: /code/trunk/visual_studio/vc8/core.vcproj
===================================================================
--- /code/trunk/visual_studio/vc8/core.vcproj	(revision 1838)
+++ /code/trunk/visual_studio/vc8/core.vcproj	(revision 1839)
@@ -5,5 +5,5 @@
 	Name="core"
 	ProjectGUID="{271715F3-5B90-4110-A552-70C788084A86}"
-	RootNamespace="FICN"
+	RootNamespace="orxonox"
 	Keyword="Win32Proj"
 	>
@@ -19,5 +19,5 @@
 			Name="Debug|Win32"
 			ConfigurationType="2"
-			InheritedPropertySheets="$(SolutionDir)base_debug.vsprops;..\core.vsprops"
+			InheritedPropertySheets=".\debug.vsprops;.\core.vsprops"
 			CharacterSet="1"
 			>
@@ -80,5 +80,5 @@
 			Name="Release|Win32"
 			ConfigurationType="2"
-			InheritedPropertySheets="$(SolutionDir)base_release.vsprops;..\core.vsprops"
+			InheritedPropertySheets=".\release.vsprops;.\core.vsprops"
 			CharacterSet="1"
 			WholeProgramOptimization="0"
Index: /code/trunk/visual_studio/vc8/core.vsprops
===================================================================
--- /code/trunk/visual_studio/vc8/core.vsprops	(revision 1838)
+++ /code/trunk/visual_studio/vc8/core.vsprops	(revision 1839)
@@ -3,6 +3,6 @@
 	ProjectType="Visual C++"
 	Version="8.00"
-	Name="core_properties"
-	InheritedPropertySheets=".\directory_properties.vsprops"
+	Name="core"
+	InheritedPropertySheets=".\directories.vsprops"
 	>
 	<Tool
Index: /code/trunk/visual_studio/vc8/cpptcl.vcproj
===================================================================
--- /code/trunk/visual_studio/vc8/cpptcl.vcproj	(revision 1838)
+++ /code/trunk/visual_studio/vc8/cpptcl.vcproj	(revision 1839)
@@ -5,5 +5,5 @@
 	Name="cpptcl"
 	ProjectGUID="{53C56131-E2AA-4A27-B460-7AC05D61A0E6}"
-	RootNamespace="FICN"
+	RootNamespace="orxonox"
 	Keyword="Win32Proj"
 	>
@@ -19,5 +19,5 @@
 			Name="Debug|Win32"
 			ConfigurationType="4"
-			InheritedPropertySheets="$(SolutionDir)base_debug.vsprops;..\cpptcl.vsprops"
+			InheritedPropertySheets=".\debug.vsprops;.\cpptcl.vsprops"
 			CharacterSet="1"
 			>
@@ -71,5 +71,5 @@
 			Name="Release|Win32"
 			ConfigurationType="4"
-			InheritedPropertySheets="$(SolutionDir)base_release.vsprops;..\cpptcl.vsprops"
+			InheritedPropertySheets=".\release.vsprops;.\cpptcl.vsprops"
 			CharacterSet="1"
 			WholeProgramOptimization="0"
Index: /code/trunk/visual_studio/vc8/cpptcl.vsprops
===================================================================
--- /code/trunk/visual_studio/vc8/cpptcl.vsprops	(revision 1838)
+++ /code/trunk/visual_studio/vc8/cpptcl.vsprops	(revision 1839)
@@ -3,6 +3,6 @@
 	ProjectType="Visual C++"
 	Version="8.00"
-	Name="cpptcl_properties"
-	InheritedPropertySheets=".\directory_properties.vsprops"
+	Name="cpptcl"
+	InheritedPropertySheets=".\directories.vsprops"
 	>
 </VisualStudioPropertySheet>
Index: /code/trunk/visual_studio/vc8/directories.vsprops
===================================================================
--- /code/trunk/visual_studio/vc8/directories.vsprops	(revision 1839)
+++ /code/trunk/visual_studio/vc8/directories.vsprops	(revision 1839)
@@ -0,0 +1,13 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioPropertySheet
+	ProjectType="Visual C++"
+	Version="8.00"
+	Name="directory_properties"
+	OutputDirectory="$(RootDir)bin\"
+	IntermediateDirectory="$(RootDir)obj\$(ProjectName)\$(ConfigurationName)"
+	>
+	<UserMacro
+		Name="RootDir"
+		Value="$(SolutionDir)..\..\"
+	/>
+</VisualStudioPropertySheet>
Index: de/trunk/visual_studio/vc8/directory_properties.vsprops
===================================================================
--- /code/trunk/visual_studio/vc8/directory_properties.vsprops	(revision 1838)
+++ 	(revision )
@@ -1,13 +1,0 @@
-<?xml version="1.0" encoding="Windows-1252"?>
-<VisualStudioPropertySheet
-	ProjectType="Visual C++"
-	Version="8.00"
-	Name="directory_properties"
-	OutputDirectory="$(RootDir)bin\"
-	IntermediateDirectory="$(RootDir)obj\$(ProjectName)\$(ConfigurationName)"
-	>
-	<UserMacro
-		Name="RootDir"
-		Value="$(SolutionDir)..\"
-	/>
-</VisualStudioPropertySheet>
Index: /code/trunk/visual_studio/vc8/lua.vcproj
===================================================================
--- /code/trunk/visual_studio/vc8/lua.vcproj	(revision 1838)
+++ /code/trunk/visual_studio/vc8/lua.vcproj	(revision 1839)
@@ -5,5 +5,5 @@
 	Name="lua"
 	ProjectGUID="{63B3E57A-4382-42F3-85EC-E869CFCCA88F}"
-	RootNamespace="FICN"
+	RootNamespace="orxonox"
 	Keyword="Win32Proj"
 	>
@@ -19,5 +19,5 @@
 			Name="Debug|Win32"
 			ConfigurationType="2"
-			InheritedPropertySheets="$(SolutionDir)base_properties_debug.vsprops;..\lua_properties.vsprops"
+			InheritedPropertySheets=".\debug.vsprops;.\lua.vsprops"
 			CharacterSet="1"
 			>
@@ -80,5 +80,5 @@
 			Name="Release|Win32"
 			ConfigurationType="2"
-			InheritedPropertySheets="$(SolutionDir)base_properties_release.vsprops;..\lua_properties.vsprops"
+			InheritedPropertySheets=".\release.vsprops;.\lua.vsprops"
 			CharacterSet="1"
 			WholeProgramOptimization="0"
Index: /code/trunk/visual_studio/vc8/lua.vsprops
===================================================================
--- /code/trunk/visual_studio/vc8/lua.vsprops	(revision 1838)
+++ /code/trunk/visual_studio/vc8/lua.vsprops	(revision 1839)
@@ -3,6 +3,6 @@
 	ProjectType="Visual C++"
 	Version="8.00"
-	Name="lua_properties"
-	InheritedPropertySheets=".\directory_properties.vsprops"
+	Name="lua"
+	InheritedPropertySheets=".\directories.vsprops"
 	>
 	<Tool
Index: /code/trunk/visual_studio/vc8/network.vcproj
===================================================================
--- /code/trunk/visual_studio/vc8/network.vcproj	(revision 1838)
+++ /code/trunk/visual_studio/vc8/network.vcproj	(revision 1839)
@@ -5,5 +5,5 @@
 	Name="network"
 	ProjectGUID="{35575B59-E1AE-40E8-89C4-2862B5B09B68}"
-	RootNamespace="FICN"
+	RootNamespace="orxonox"
 	Keyword="Win32Proj"
 	>
@@ -19,5 +19,5 @@
 			Name="Debug|Win32"
 			ConfigurationType="4"
-			InheritedPropertySheets="$(SolutionDir)base_properties_debug.vsprops;..\network_properties.vsprops"
+			InheritedPropertySheets=".\debug.vsprops;.\network.vsprops"
 			CharacterSet="1"
 			>
@@ -71,5 +71,5 @@
 			Name="Release|Win32"
 			ConfigurationType="4"
-			InheritedPropertySheets="$(SolutionDir)base_properties_release.vsprops;..\network_properties.vsprops"
+			InheritedPropertySheets=".\release.vsprops;..\network.vsprops"
 			CharacterSet="1"
 			WholeProgramOptimization="0"
Index: /code/trunk/visual_studio/vc8/network.vsprops
===================================================================
--- /code/trunk/visual_studio/vc8/network.vsprops	(revision 1838)
+++ /code/trunk/visual_studio/vc8/network.vsprops	(revision 1839)
@@ -3,6 +3,6 @@
 	ProjectType="Visual C++"
 	Version="8.00"
-	Name="network_properties"
-	InheritedPropertySheets=".\directory_properties.vsprops"
+	Name="network"
+	InheritedPropertySheets=".\directories.vsprops"
 	>
 	<Tool
Index: /code/trunk/visual_studio/vc8/ois.vcproj
===================================================================
--- /code/trunk/visual_studio/vc8/ois.vcproj	(revision 1838)
+++ /code/trunk/visual_studio/vc8/ois.vcproj	(revision 1839)
@@ -5,5 +5,5 @@
 	Name="ois"
 	ProjectGUID="{9CC704CB-4956-4479-BDEC-57CBC03F700E}"
-	RootNamespace="OIS"
+	RootNamespace="orxonox"
 	Keyword="Win32Proj"
 	>
@@ -22,5 +22,5 @@
 			Name="Release|Win32"
 			ConfigurationType="2"
-			InheritedPropertySheets="..\directory_properties.vsprops"
+			InheritedPropertySheets=".\directories.vsprops"
 			CharacterSet="2"
 			WholeProgramOptimization="0"
@@ -109,5 +109,5 @@
 			Name="Debug|Win32"
 			ConfigurationType="2"
-			InheritedPropertySheets="..\directory_properties.vsprops"
+			InheritedPropertySheets=".\directory.vsprops"
 			CharacterSet="2"
 			>
Index: /code/trunk/visual_studio/vc8/orxonox.vcproj
===================================================================
--- /code/trunk/visual_studio/vc8/orxonox.vcproj	(revision 1838)
+++ /code/trunk/visual_studio/vc8/orxonox.vcproj	(revision 1839)
@@ -5,5 +5,5 @@
 	Name="orxonox"
 	ProjectGUID="{0B6C5CFD-F91B-432A-80A3-2610F61E060B}"
-	RootNamespace="FICN"
+	RootNamespace="orxonox"
 	Keyword="Win32Proj"
 	>
@@ -19,5 +19,5 @@
 			Name="Debug|Win32"
 			ConfigurationType="1"
-			InheritedPropertySheets="$(SolutionDir)base_debug.vsprops;..\orxonox.vsprops"
+			InheritedPropertySheets=".\debug.vsprops;.\orxonox.vsprops"
 			CharacterSet="1"
 			>
@@ -82,5 +82,5 @@
 			Name="Release|Win32"
 			ConfigurationType="1"
-			InheritedPropertySheets="$(SolutionDir)base_release.vsprops;..\orxonox.vsprops"
+			InheritedPropertySheets=".\release.vsprops;.\orxonox.vsprops"
 			CharacterSet="1"
 			WholeProgramOptimization="0"
Index: /code/trunk/visual_studio/vc8/orxonox.vsprops
===================================================================
--- /code/trunk/visual_studio/vc8/orxonox.vsprops	(revision 1838)
+++ /code/trunk/visual_studio/vc8/orxonox.vsprops	(revision 1839)
@@ -3,6 +3,6 @@
 	ProjectType="Visual C++"
 	Version="8.00"
-	Name="orxonox_properties"
-	InheritedPropertySheets=".\directory_properties.vsprops"
+	Name="orxonox"
+	InheritedPropertySheets=".\directories.vsprops"
 	>
 	<Tool
Index: /code/trunk/visual_studio/vc8/orxonox_vc8.sln
===================================================================
--- /code/trunk/visual_studio/vc8/orxonox_vc8.sln	(revision 1838)
+++ /code/trunk/visual_studio/vc8/orxonox_vc8.sln	(revision 1839)
@@ -13,5 +13,5 @@
 	EndProjectSection
 EndProject
-Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "tolua_gen", "tolua_gen.vcproj", "{71FC0211-5EB5-4637-BE8A-A48EC3CC27D0}"
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "toluagen", "toluagen.vcproj", "{71FC0211-5EB5-4637-BE8A-A48EC3CC27D0}"
 	ProjectSection(ProjectDependencies) = postProject
 		{35E36A06-0A5C-4A0D-9AB6-5A05EAA87626} = {35E36A06-0A5C-4A0D-9AB6-5A05EAA87626}
@@ -19,5 +19,5 @@
 	EndProjectSection
 EndProject
-Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "tolua_app", "tolua_app.vcproj", "{A0724246-CB7C-420B-BCF0-68EF205AFE34}"
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "toluagen_orxonox", "toluagen_orxonox.vcproj", "{A0724246-CB7C-420B-BCF0-68EF205AFE34}"
 	ProjectSection(ProjectDependencies) = postProject
 		{71FC0211-5EB5-4637-BE8A-A48EC3CC27D0} = {71FC0211-5EB5-4637-BE8A-A48EC3CC27D0}
Index: /code/trunk/visual_studio/vc8/tixml.vcproj
===================================================================
--- /code/trunk/visual_studio/vc8/tixml.vcproj	(revision 1838)
+++ /code/trunk/visual_studio/vc8/tixml.vcproj	(revision 1839)
@@ -5,5 +5,5 @@
 	Name="tixml"
 	ProjectGUID="{F101C2F0-1CB9-4A57-827B-6C399A99B28F}"
-	RootNamespace="FICN"
+	RootNamespace="orxonox"
 	Keyword="Win32Proj"
 	>
@@ -19,5 +19,5 @@
 			Name="Debug|Win32"
 			ConfigurationType="4"
-			InheritedPropertySheets="$(SolutionDir)base_debug.vsprops;..\tixml.vsprops"
+			InheritedPropertySheets=".\debug.vsprops;.\tixml.vsprops"
 			CharacterSet="1"
 			>
@@ -71,5 +71,5 @@
 			Name="Release|Win32"
 			ConfigurationType="4"
-			InheritedPropertySheets="$(SolutionDir)base_release.vsprops;..\tixml.vsprops"
+			InheritedPropertySheets=".\release.vsprops;.\tixml.vsprops"
 			CharacterSet="1"
 			WholeProgramOptimization="0"
Index: /code/trunk/visual_studio/vc8/tixml.vsprops
===================================================================
--- /code/trunk/visual_studio/vc8/tixml.vsprops	(revision 1838)
+++ /code/trunk/visual_studio/vc8/tixml.vsprops	(revision 1839)
@@ -3,6 +3,6 @@
 	ProjectType="Visual C++"
 	Version="8.00"
-	Name="tixml_properties"
-	InheritedPropertySheets=".\directory_properties.vsprops"
+	Name="tixml"
+	InheritedPropertySheets=".\directories.vsprops"
 	>
 </VisualStudioPropertySheet>
Index: /code/trunk/visual_studio/vc8/tolua.vcproj
===================================================================
--- /code/trunk/visual_studio/vc8/tolua.vcproj	(revision 1838)
+++ /code/trunk/visual_studio/vc8/tolua.vcproj	(revision 1839)
@@ -5,5 +5,5 @@
 	Name="tolua"
 	ProjectGUID="{35E36A06-0A5C-4A0D-9AB6-5A05EAA87626}"
-	RootNamespace="FICN"
+	RootNamespace="orxonox"
 	Keyword="Win32Proj"
 	>
@@ -19,5 +19,5 @@
 			Name="Debug|Win32"
 			ConfigurationType="2"
-			InheritedPropertySheets="$(SolutionDir)base_debug.vsprops;..\tolua.vsprops"
+			InheritedPropertySheets=".\debug.vsprops;.\tolua.vsprops"
 			CharacterSet="1"
 			>
@@ -80,5 +80,5 @@
 			Name="Release|Win32"
 			ConfigurationType="2"
-			InheritedPropertySheets="$(SolutionDir)base_release.vsprops;..\tolua.vsprops"
+			InheritedPropertySheets=".\release.vsprops;.\tolua.vsprops"
 			CharacterSet="1"
 			WholeProgramOptimization="0"
Index: /code/trunk/visual_studio/vc8/tolua.vsprops
===================================================================
--- /code/trunk/visual_studio/vc8/tolua.vsprops	(revision 1838)
+++ /code/trunk/visual_studio/vc8/tolua.vsprops	(revision 1839)
@@ -3,6 +3,6 @@
 	ProjectType="Visual C++"
 	Version="8.00"
-	Name="tolua_properties"
-	InheritedPropertySheets=".\directory_properties.vsprops"
+	Name="tolua"
+	InheritedPropertySheets=".\directories.vsprops"
 	>
 	<Tool
Index: de/trunk/visual_studio/vc8/tolua_orxonox.vcproj
===================================================================
--- /code/trunk/visual_studio/vc8/tolua_orxonox.vcproj	(revision 1838)
+++ 	(revision )
@@ -1,176 +1,0 @@
-<?xml version="1.0" encoding="Windows-1252"?>
-<VisualStudioProject
-	ProjectType="Visual C++"
-	Version="8.00"
-	Name="tolua_gen"
-	ProjectGUID="{71FC0211-5EB5-4637-BE8A-A48EC3CC27D0}"
-	RootNamespace="FICN"
-	Keyword="Win32Proj"
-	>
-	<Platforms>
-		<Platform
-			Name="Win32"
-		/>
-	</Platforms>
-	<ToolFiles>
-	</ToolFiles>
-	<Configurations>
-		<Configuration
-			Name="Debug|Win32"
-			ConfigurationType="1"
-			InheritedPropertySheets="$(SolutionDir)base_debug.vsprops;..\tolua_gen.vsprops"
-			CharacterSet="1"
-			>
-			<Tool
-				Name="VCPreBuildEventTool"
-			/>
-			<Tool
-				Name="VCCustomBuildTool"
-			/>
-			<Tool
-				Name="VCXMLDataGeneratorTool"
-			/>
-			<Tool
-				Name="VCWebServiceProxyGeneratorTool"
-			/>
-			<Tool
-				Name="VCMIDLTool"
-			/>
-			<Tool
-				Name="VCCLCompilerTool"
-			/>
-			<Tool
-				Name="VCManagedResourceCompilerTool"
-			/>
-			<Tool
-				Name="VCResourceCompilerTool"
-			/>
-			<Tool
-				Name="VCPreLinkEventTool"
-			/>
-			<Tool
-				Name="VCLinkerTool"
-			/>
-			<Tool
-				Name="VCALinkTool"
-			/>
-			<Tool
-				Name="VCManifestTool"
-			/>
-			<Tool
-				Name="VCXDCMakeTool"
-			/>
-			<Tool
-				Name="VCBscMakeTool"
-			/>
-			<Tool
-				Name="VCFxCopTool"
-			/>
-			<Tool
-				Name="VCAppVerifierTool"
-			/>
-			<Tool
-				Name="VCWebDeploymentTool"
-			/>
-			<Tool
-				Name="VCPostBuildEventTool"
-			/>
-		</Configuration>
-		<Configuration
-			Name="Release|Win32"
-			ConfigurationType="1"
-			InheritedPropertySheets="$(SolutionDir)base_release.vsprops;..\tolua_gen.vsprops"
-			CharacterSet="1"
-			WholeProgramOptimization="0"
-			>
-			<Tool
-				Name="VCPreBuildEventTool"
-			/>
-			<Tool
-				Name="VCCustomBuildTool"
-			/>
-			<Tool
-				Name="VCXMLDataGeneratorTool"
-			/>
-			<Tool
-				Name="VCWebServiceProxyGeneratorTool"
-			/>
-			<Tool
-				Name="VCMIDLTool"
-			/>
-			<Tool
-				Name="VCCLCompilerTool"
-			/>
-			<Tool
-				Name="VCManagedResourceCompilerTool"
-			/>
-			<Tool
-				Name="VCResourceCompilerTool"
-			/>
-			<Tool
-				Name="VCPreLinkEventTool"
-			/>
-			<Tool
-				Name="VCLinkerTool"
-			/>
-			<Tool
-				Name="VCALinkTool"
-			/>
-			<Tool
-				Name="VCManifestTool"
-			/>
-			<Tool
-				Name="VCXDCMakeTool"
-			/>
-			<Tool
-				Name="VCBscMakeTool"
-			/>
-			<Tool
-				Name="VCFxCopTool"
-			/>
-			<Tool
-				Name="VCAppVerifierTool"
-			/>
-			<Tool
-				Name="VCWebDeploymentTool"
-			/>
-			<Tool
-				Name="VCPostBuildEventTool"
-			/>
-		</Configuration>
-	</Configurations>
-	<References>
-	</References>
-	<Files>
-		<Filter
-			Name="Source Files"
-			Filter="cpp;c;cc;cxx;def;odl;idl;hpj;bat;asm;asmx"
-			UniqueIdentifier="{4FC737F1-C7A5-4376-A066-2A32D752A2FF}"
-			>
-			<File
-				RelativePath="..\..\src\tolua\tolua.c"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\tolua\toluabind.c"
-				>
-			</File>
-		</Filter>
-		<Filter
-			Name="Header Files"
-			Filter="h;hpp;hxx;hm;inl;inc;xsd"
-			UniqueIdentifier="{93995380-89BD-4b04-88EB-625FBE52EBFB}"
-			>
-			<File
-				RelativePath="..\..\src\tolua\tolua++.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\tolua\toluabind.h"
-				>
-			</File>
-		</Filter>
-	</Files>
-	<Globals>
-	</Globals>
-</VisualStudioProject>
Index: de/trunk/visual_studio/vc8/tolua_orxonox.vsprops
===================================================================
--- /code/trunk/visual_studio/vc8/tolua_orxonox.vsprops	(revision 1838)
+++ 	(revision )
@@ -1,16 +1,0 @@
-<?xml version="1.0" encoding="Windows-1252"?>
-<VisualStudioPropertySheet
-	ProjectType="Visual C++"
-	Version="8.00"
-	Name="tolua_gen_properties"
-	InheritedPropertySheets=".\directory_properties.vsprops"
-	>
-	<Tool
-		Name="VCCLCompilerTool"
-		CompileAs="1"
-	/>
-	<Tool
-		Name="VCLinkerTool"
-		OutputFile="$(OutDir)$(ProjectName)$(CS).exe"
-	/>
-</VisualStudioPropertySheet>
Index: /code/trunk/visual_studio/vc8/toluagen.vcproj
===================================================================
--- /code/trunk/visual_studio/vc8/toluagen.vcproj	(revision 1838)
+++ /code/trunk/visual_studio/vc8/toluagen.vcproj	(revision 1839)
@@ -3,7 +3,7 @@
 	ProjectType="Visual C++"
 	Version="8.00"
-	Name="tolua_app"
+	Name="toluagen"
 	ProjectGUID="{A0724246-CB7C-420B-BCF0-68EF205AFE34}"
-	RootNamespace="FICN"
+	RootNamespace="orxonox"
 	Keyword="Win32Proj"
 	>
@@ -19,5 +19,5 @@
 			Name="Debug|Win32"
 			ConfigurationType="1"
-			InheritedPropertySheets="$(SolutionDir)base_debug.vsprops;..\tolua_app.vsprops"
+			InheritedPropertySheets=".\debug.vsprops;..\toluagen.vsprops"
 			CharacterSet="1"
 			>
@@ -80,5 +80,5 @@
 			Name="Release|Win32"
 			ConfigurationType="1"
-			InheritedPropertySheets="$(SolutionDir)base_release.vsprops;..\tolua_app.vsprops"
+			InheritedPropertySheets=".\release.vsprops;..\toluagen.vsprops"
 			CharacterSet="1"
 			WholeProgramOptimization="0"
Index: /code/trunk/visual_studio/vc8/toluagen.vsprops
===================================================================
--- /code/trunk/visual_studio/vc8/toluagen.vsprops	(revision 1838)
+++ /code/trunk/visual_studio/vc8/toluagen.vsprops	(revision 1839)
@@ -3,6 +3,6 @@
 	ProjectType="Visual C++"
 	Version="8.00"
-	Name="tolua_app_properties"
-	InheritedPropertySheets=".\directory_properties.vsprops"
+	Name="toluagen"
+	InheritedPropertySheets=".\directories.vsprops"
 	>
 	<Tool
Index: /code/trunk/visual_studio/vc8/toluagen_orxonox.vcproj
===================================================================
--- /code/trunk/visual_studio/vc8/toluagen_orxonox.vcproj	(revision 1839)
+++ /code/trunk/visual_studio/vc8/toluagen_orxonox.vcproj	(revision 1839)
@@ -0,0 +1,176 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioProject
+	ProjectType="Visual C++"
+	Version="8.00"
+	Name="tolua_gen"
+	ProjectGUID="{71FC0211-5EB5-4637-BE8A-A48EC3CC27D0}"
+	RootNamespace="orxonox"
+	Keyword="Win32Proj"
+	>
+	<Platforms>
+		<Platform
+			Name="Win32"
+		/>
+	</Platforms>
+	<ToolFiles>
+	</ToolFiles>
+	<Configurations>
+		<Configuration
+			Name="Debug|Win32"
+			ConfigurationType="1"
+			InheritedPropertySheets=".\debug.vsprops;.\toluagen_orxonox.vsprops"
+			CharacterSet="1"
+			>
+			<Tool
+				Name="VCPreBuildEventTool"
+			/>
+			<Tool
+				Name="VCCustomBuildTool"
+			/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"
+			/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"
+			/>
+			<Tool
+				Name="VCMIDLTool"
+			/>
+			<Tool
+				Name="VCCLCompilerTool"
+			/>
+			<Tool
+				Name="VCManagedResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCPreLinkEventTool"
+			/>
+			<Tool
+				Name="VCLinkerTool"
+			/>
+			<Tool
+				Name="VCALinkTool"
+			/>
+			<Tool
+				Name="VCManifestTool"
+			/>
+			<Tool
+				Name="VCXDCMakeTool"
+			/>
+			<Tool
+				Name="VCBscMakeTool"
+			/>
+			<Tool
+				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCAppVerifierTool"
+			/>
+			<Tool
+				Name="VCWebDeploymentTool"
+			/>
+			<Tool
+				Name="VCPostBuildEventTool"
+			/>
+		</Configuration>
+		<Configuration
+			Name="Release|Win32"
+			ConfigurationType="1"
+			InheritedPropertySheets=".\release.vsprops;..\toluagen_orxonox.vsprops"
+			CharacterSet="1"
+			WholeProgramOptimization="0"
+			>
+			<Tool
+				Name="VCPreBuildEventTool"
+			/>
+			<Tool
+				Name="VCCustomBuildTool"
+			/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"
+			/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"
+			/>
+			<Tool
+				Name="VCMIDLTool"
+			/>
+			<Tool
+				Name="VCCLCompilerTool"
+			/>
+			<Tool
+				Name="VCManagedResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCPreLinkEventTool"
+			/>
+			<Tool
+				Name="VCLinkerTool"
+			/>
+			<Tool
+				Name="VCALinkTool"
+			/>
+			<Tool
+				Name="VCManifestTool"
+			/>
+			<Tool
+				Name="VCXDCMakeTool"
+			/>
+			<Tool
+				Name="VCBscMakeTool"
+			/>
+			<Tool
+				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCAppVerifierTool"
+			/>
+			<Tool
+				Name="VCWebDeploymentTool"
+			/>
+			<Tool
+				Name="VCPostBuildEventTool"
+			/>
+		</Configuration>
+	</Configurations>
+	<References>
+	</References>
+	<Files>
+		<Filter
+			Name="Source Files"
+			Filter="cpp;c;cc;cxx;def;odl;idl;hpj;bat;asm;asmx"
+			UniqueIdentifier="{4FC737F1-C7A5-4376-A066-2A32D752A2FF}"
+			>
+			<File
+				RelativePath="..\..\src\tolua\tolua.c"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\tolua\toluabind.c"
+				>
+			</File>
+		</Filter>
+		<Filter
+			Name="Header Files"
+			Filter="h;hpp;hxx;hm;inl;inc;xsd"
+			UniqueIdentifier="{93995380-89BD-4b04-88EB-625FBE52EBFB}"
+			>
+			<File
+				RelativePath="..\..\src\tolua\tolua++.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\tolua\toluabind.h"
+				>
+			</File>
+		</Filter>
+	</Files>
+	<Globals>
+	</Globals>
+</VisualStudioProject>
Index: /code/trunk/visual_studio/vc8/toluagen_orxonox.vsprops
===================================================================
--- /code/trunk/visual_studio/vc8/toluagen_orxonox.vsprops	(revision 1839)
+++ /code/trunk/visual_studio/vc8/toluagen_orxonox.vsprops	(revision 1839)
@@ -0,0 +1,16 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioPropertySheet
+	ProjectType="Visual C++"
+	Version="8.00"
+	Name="toluagen_orxonox"
+	InheritedPropertySheets=".\directories.vsprops"
+	>
+	<Tool
+		Name="VCCLCompilerTool"
+		CompileAs="1"
+	/>
+	<Tool
+		Name="VCLinkerTool"
+		OutputFile="$(OutDir)$(ProjectName)$(CS).exe"
+	/>
+</VisualStudioPropertySheet>
Index: /code/trunk/visual_studio/vc8/util.vcproj
===================================================================
--- /code/trunk/visual_studio/vc8/util.vcproj	(revision 1838)
+++ /code/trunk/visual_studio/vc8/util.vcproj	(revision 1839)
@@ -5,5 +5,5 @@
 	Name="util"
 	ProjectGUID="{2240ECD7-2F48-4431-8E1B-25466A384CCC}"
-	RootNamespace="FICN"
+	RootNamespace="orxonox"
 	Keyword="Win32Proj"
 	>
@@ -19,5 +19,5 @@
 			Name="Debug|Win32"
 			ConfigurationType="2"
-			InheritedPropertySheets="$(SolutionDir)base_debug.vsprops;..\util.vsprops"
+			InheritedPropertySheets=".\debug.vsprops;.\util.vsprops"
 			CharacterSet="1"
 			>
@@ -80,5 +80,5 @@
 			Name="Release|Win32"
 			ConfigurationType="2"
-			InheritedPropertySheets="$(SolutionDir)base_release.vsprops;..\util.vsprops"
+			InheritedPropertySheets=".\release.vsprops;.\util.vsprops"
 			CharacterSet="1"
 			WholeProgramOptimization="0"
Index: /code/trunk/visual_studio/vc8/util.vsprops
===================================================================
--- /code/trunk/visual_studio/vc8/util.vsprops	(revision 1838)
+++ /code/trunk/visual_studio/vc8/util.vsprops	(revision 1839)
@@ -3,6 +3,6 @@
 	ProjectType="Visual C++"
 	Version="8.00"
-	Name="util_properties"
-	InheritedPropertySheets=".\directory_properties.vsprops"
+	Name="util"
+	InheritedPropertySheets=".\directories.vsprops"
 	>
 	<Tool
